Skip to:
Content
Pages
Categories
Search
Top
Bottom

BuddyPress 1.7 is now available

Viewing 25 replies - 26 through 50 (of 50 total)
  • Avatar of stephenkmerritt
    stephenkmerritt
    Participant

    @stephenkmerritt

    The previous BuddyPress SLOWED by site down to a complete stop TWO times. How can I be sure that this will not happen with this new one? My site is a 500 page job website, I can’t afford for the site to be down. But, I would LOVE to give it a social media splash! I love this concept!

    HELP. My website is fixedopjobs.com.

    Avatar of bp-help
    bp-help
    Participant

    @bphelp

    Copy your site and put it on localhost for testing. You will need to make changes in the database to reflect the current url. Not real difficult but a lot of people have issues when looking through database tables. I think there is some plugins that help simplify it but I have not used them. If your site slowed down a lot then most likely you have a theme, plugin, or custom code that is causing a conflict. That is precisely why I instructed you to test it locally because BP 1.7 in its rawest form does not have errors out of the box. Its after you introduce bad code that it has errors then your going to get errors generally.

    Avatar of @mercime
    @mercime
    Keymaster

    @mercime

    @myigoweb I saw the same warning reported sometime today or yesterday. I recall the issue was resolved by deactivating a plugin. Can’t remember which plugin was the culprit at this time. Check plugins installed – those which are not compatible with at least BP 1.5.

    Avatar of Svenl77
    Svenl77
    Participant

    @svenl77

    First of all, thanks for the great work you all do and thanks for the new version!

    unfortunately there is something wrong, I run in the same error like @myigoweb  ;-(

    I guess we should create a ticket for this issue:

    strstr() [function.strstr]: Empty delimiter in /home/themekra/public_html/wp-content/plugins/buddypress/bp-core/bp-core-template.php on line 864

    What I did to have my site running until all is clarified, I just deleted:

    <code>
    // Component name is in the page template name

    if ( !empty( $page_template ) && strstr( strtolower( $page_template ), strtolower( $component ) ) ) {

    $is_current_component = true;

    }

    </code>

    Avatar of Svenl77
    Svenl77
    Participant

    @svenl77

    Hi @mercime,

    I didn’t see your post while writing my issue….

    Could it be:

    “BuddyPress Profile Privacy” or “BuddyPress Usernames Only”

    This are the only Plugins I did not test against BuddyPress 1.7

    thanks ;-)

    Avatar of Marcio batista
    Marcio batista
    Participant

    @marcio-batista

    Hello,
    Here I am with the same problem.
    My version is 1.7.
    What happens?
    Look at the error:

    Warning: sprintf() [function.sprintf]: Too few arguments in…………………./wp-content/plugins/buddypress/bp-activity/bp-activity-notifications.php on line 95

    Avatar of jmonroe
    jmonroe
    Participant

    @jmonroe

    Are any of you with problems reading the actual postings? Please post your problems, errors, or support questions on the support forum.

    Thanks

    Avatar of rossagrant
    rossagrant
    Participant

    @rossagrant

    I should say thanks and congrats here too guys. I just made the schoolboy error of upgrading my production site to BP1.7 – thinking I was logged into my staging site.

    I absolutely cacked my pants when I realised what I had done, but am SO amazed that everything works flawlessly so far!

    My site is HEAVILY customised so I thought it was gonna be a right headache, but it wasn’t at all!

    BIG thanks goes out to @hnla too for not clubbing me around the head when I told him what I’d done! Haha!

    Avatar of @mercime
    @mercime
    Keymaster

    @mercime

    @svenl77 Not those plugins. I remember now, it was the BuddyPress Follow plugin. Did you check which of the two was causing it?

    Avatar of Svenl77
    Svenl77
    Participant

    @svenl77

    @mercime I deactivated all BuddyPress related plugins one by one. The error still exist. In my case it looks like, the error is not coming from any Plugin.

    Avatar of fpats
    fpats
    Participant

    @fpats

    Has anyone actually managed to get 1.7 working out of the box with any theme not written specifically for Buddypress?

    I’ve bought 2 brand new premium themes and neither work!!!!!!
    I’m so disappointed after all the claims made about this new version.

    Maybe we should start a thread to list all the themes that don’t work and save others the misfortune & expense of going through what i am right now.

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    Yes they have, BP 1.7 will work with the vast majority of well written themes that adhere to WP API/templating principles.

    Please start a new thread – this one is not a support topic – and ask for help there stating the themes that are causing issues, but please note that help with third party themes that have issues could be limited.

    Avatar of fpats
    fpats
    Participant

    @fpats

    “please note that help with third party themes that have issues could be limited”

    So why makes claims that BP will work on all themes then and releases promotional videos with designers shouting from the rooftops about it? I’ve held back for months then gone out and bought 5* Themeforest themes (so no, not badly written) because of BP’s promises only to be let down yet again.

    Sorry to hijack the thread anyway, i’ll start a support topic after the weekend and see if we can find out what the issues are.

    thanks.

    Avatar of MyiGoWeb
    MyiGoWeb
    Participant

    @myigoweb

    FYI…..The Warning: strstr() [function.strstr]: Empty delimiter in /home/cnm34619/public_html/wp-content/plugins/buddypress/bp-core/bp-core-template.php on line 864 error on My site was caused by the BuddyPress follow plugin.

    Avatar of Hugo
    Hugo
    Moderator

    @hnla

    @myigoweb I believe this issue has been fixed and the plugin updated generally to meet 1.7 criteria.

    Avatar of Brewz
    Brewz
    Participant

    @brewz

    I’m putting together a site using the Themekraft Custom Community 1.15 and after installing Buddypress today, the title on the RSS Feed Widget, as well as on the RSS logo have a white background that I can’t figure out how to change. Can someone look at it and tell me what might need to be changed. I feel like I’ve tried every setting and it hasn’t fixed the issue. This is my first installation of Buddypress and I don’t really know what I’m doing yet with it ; )

    Thanks to anyone that can help me out!

    http://brewz.org

    Avatar of bp-help
    bp-help
    Participant

    @bphelp

    @brewz Please start a new topic because as @boonebgorges and @hnla has already stated and I will reiterate it that this is not a support thread. It was an announcement for BP 1.7 release. Support request may look over you if you do not adhere by starting a new topic.

    Avatar of Svenl77
    Svenl77
    Participant

    @svenl77

    Hi @brewz,

    If you want to ask for community support  please ask over here: http://wordpress.org/support/theme/custom-community

    It’s a WordPress.org theme and the support forum for themes on wordpress.org is not here.We also have a knowledgebase: http://support.themekraft.com/categories/20053996-Custom-Community

    If you find any issues which needs to be addressed from a dev please create a ticket: https://github.com/Themekraft/Custom-Community/issues?direction=desc&milestone=9&sort=created&state=open

    Thanks for your feedback, this thread is not for support so please ask your question again at the right place.

    Avatar of Henry
    Henry
    Participant

    @henrywright-1

    As much as I am itching to install 1.7, think I might wait for 1.7.1. Being a bit of a laggard is boring I know but reading this thread I can see 1.7 may need some ironing out

    Avatar of cybohmoob
    cybohmoob
    Participant

    @cybohmoob

    After this upgrade my bb-config is missing and I can’t seem to create groups anymore. Also my Profiles no longer can be extracted using the old code that worked. get_member_profile_data ect.
    Topic started and Still awaiting help.

    Avatar of Admin_productor
    Admin_productor
    Participant

    @admin_productor

    Yes..unfortunately we have problems with new version…buddy bar is not showing

    Avatar of deniscvidal
    deniscvidal
    Participant

    @deniscvidal

    I have uploaded to the new BuddyPress 1.7 and when I use the comment box I don’t see the Post button anywhere to submit my post. What do you think could be happening?

    Avatar of Toby Cryns (@themightymo)
    Toby Cryns (@themightymo)
    Participant

    @themightymo

    Can I just say that y’all rock? Can I?

    Thanks for all the hard work to make this happen!

    Avatar of @mercime
    @mercime
    Keymaster

    @mercime

    @themightymo thank you for the positive feedback!

    Avatar of Ermejo
    Ermejo
    Participant

    @ermejo

    I have the same problem
    Warning: strstr() [function.strstr]: Empty delimiter in /home/mz2h/public_html/lezionidichitarramoderna.com/membri/wp-content/plugins/buddypress/bp-core/bp-core-template.php on line 864
    Any fix for that?

    TNX

Viewing 25 replies - 26 through 50 (of 50 total)

You must be logged in to reply to this topic.